import * as React from 'react'

interface IDecreaseProps {
    handleDecrease: object
}
interface IDecreaseState {
    handleDecreaseCB: any
}

export default class DecreaseBtn extends React.Component<IDecreaseProps, IDecreaseState> {
    public state:IDecreaseState
    constructor (props: IDecreaseProps) {
        super(props)
        this.state = {
            handleDecreaseCB : this.props.handleDecrease
        }
    }
    public render ():JSX.Element {
        const { handleDecreaseCB } = this.state
        return (
            <div className="decrease">
                <button className="decrease_btn" onClick={handleDecreaseCB}> - </button>
            </div>
        )
    }
}