import * as React from 'react'

interface IShowValueProps{
    handleChange: object
    value: number | string
}
interface IShowValueState {
    handleChangeCB: any
}

export default class ShowValue extends React.Component<IShowValueProps, IShowValueState> {
    public state:IShowValueState
    constructor (props: IShowValueProps) {
        super(props)
        this.state = {
            handleChangeCB : this.props.handleChange
        }
    }
    public render (): JSX.Element {
        const { handleChangeCB } = this.state
        const { value } = this.props
        return (
            <div className="showValue">
                <input type="text" className="showValue_input" value={value} onChange={handleChangeCB}/>
            </div>
        )
    }
}