
import * as actionType from '../action/actionType'

interface IInitState {
    count: number
}
const initState = {
    count: 0,
}
export default function reducers (state: IInitState = initState , action: any) {
    switch (action.type) {
        case actionType.SAVECOUNT:
            return { 
                ...state,
                count: action.payload.count
            }
        default:
            return { count: state.count }
    }
}